## Function template tuple_manip

boost::log::tuple_manip

## Synopsis

    // In header: <boost/log/utility/manipulators/tuple.hpp>

    template<typename TupleT>
      tuple_manipulator< TupleT, void > tuple_manip(TupleT const & tuple);

## Description

Tuple manipulator generator function.

| Note
tuple object must outlive the created manipulator object.

Parameters:

`tuple` | Heterogeneous sequence of elements to output. The sequence must be supported by Boost.Fusion, and its elements must support stream output.

Returns: | Manipulator to be inserted into the stream.